# boost::numeric::ublas::detail::transposed_structure< L > Struct Template Reference

List of all members.

## Public Types

typedef L::size_type | size_type

## Static Public Member Functions

template<class LAYOUT >
static BOOST_UBLAS_INLINE size_type | packed_size (LAYOUT l, size_type size_i, size_type size_j)
static BOOST_UBLAS_INLINE bool | zero (size_type i, size_type j)
static BOOST_UBLAS_INLINE bool | one (size_type i, size_type j)
static BOOST_UBLAS_INLINE bool | other (size_type i, size_type j)
template<class LAYOUT >
static BOOST_UBLAS_INLINE size_type | element (LAYOUT, size_type i, size_type size_i, size_type j, size_type size_j)
static BOOST_UBLAS_INLINE size_type | restrict1 (size_type i, size_type j, size_type size1, size_type size2)
static BOOST_UBLAS_INLINE size_type | restrict2 (size_type i, size_type j, size_type size1, size_type size2)
static BOOST_UBLAS_INLINE size_type | mutable_restrict1 (size_type i, size_type j, size_type size1, size_type size2)
static BOOST_UBLAS_INLINE size_type | mutable_restrict2 (size_type i, size_type j, size_type size1, size_type size2)
static BOOST_UBLAS_INLINE size_type | global_restrict1 (size_type index1, size_type size1, size_type index2, size_type size2)
static BOOST_UBLAS_INLINE size_type | global_restrict2 (size_type index1, size_type size1, size_type index2, size_type size2)
static BOOST_UBLAS_INLINE size_type | global_mutable_restrict1 (size_type index1, size_type size1, size_type index2, size_type size2)
static BOOST_UBLAS_INLINE size_type | global_mutable_restrict2 (size_type index1, size_type size1, size_type index2, size_type size2)

### template<class L>
struct boost::numeric::ublas::detail::transposed_structure< L >